| QxOrm 1.1.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Private Types | Private Member Functions | Private Attributes
qx::memory::static_mem_pool_set Class Reference

`#include <static_mem_pool.h>`

List of all members.

## Public Types
typedef class_level_lock < static_mem_pool_set >::lock | lock
## Public Member Functions
void | recycle ()
void | add (mem_pool_base *__memory_pool_p)
## Static Public Member Functions
static static_mem_pool_set & | instance ()
## Public Attributes
__PRIVATE | __pad0__: ~static_mem_pool_set()
## Private Types
typedef std::vector < mem_pool_base * > | container_type
## Private Member Functions
| static_mem_pool_set ()
| static_mem_pool_set (const static_mem_pool_set &)
const static_mem_pool_set & | operator= (const static_mem_pool_set &)
## Private Attributes
container_type | _M_memory_pool_set

## Detailed Description

Singleton class to maintain a set of existing instantiations of static_mem_pool.

Definition at line 92 of file static_mem_pool.h.

## Member Typedef Documentation

typedef std::vector<mem_pool_base*> qx::memory::static_mem_pool_set::container_type`[private]`

Definition at line 105 of file static_mem_pool.h.

typedef class_level_lock<static_mem_pool_set>::lock qx::memory::static_mem_pool_set::lock

Definition at line 95 of file static_mem_pool.h.

## Constructor & Destructor Documentation

qx::memory::static_mem_pool_set::static_mem_pool_set | ( |  | ) | `[private]`

qx::memory::static_mem_pool_set::static_mem_pool_set | ( | const static_mem_pool_set & |  | ) | `[private]`

## Member Function Documentation

void qx::memory::static_mem_pool_set::add | ( | mem_pool_base * | __memory_pool_p | ) |

static static_mem_pool_set& qx::memory::static_mem_pool_set::instance | ( |  | ) | `[static]`

const static_mem_pool_set& qx::memory::static_mem_pool_set::operator= | ( | const static_mem_pool_set & |  | ) | `[private]`

void qx::memory::static_mem_pool_set::recycle | ( |  | ) |

## Member Data Documentation

__PRIVATE qx::memory::static_mem_pool_set::__pad0__

Definition at line 101 of file static_mem_pool.h.

container_type qx::memory::static_mem_pool_set::_M_memory_pool_set`[private]`

Definition at line 106 of file static_mem_pool.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxMemLeak/static_mem_pool.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines